/* oooooooooooooooooooooooooooooooooo */
/* Copyright (C) 1991   P. Gburzynski */
/* oooooooooooooooooooooooooooooooooo */

/* --- */



/* ------------------------- */
/* Display-related constants */
/* ------------------------- */

/* ---------------------------------------------------------- */
/* Connection timeout: after that many seconds smurph assumes */
/* that the server couldn't make it                           */
/* ---------------------------------------------------------- */
#define         CTIMEOUT                900     // Seconds == 15 minutes

/* -------------------------------------------------------- */
/* Connection timeout when display is requested by the user */
/* -------------------------------------------------------- */
#define         UTIMEOUT                1800    // Seconds == 30 minutes

/* ---------------------------------------------------------- */
/* Connection  timeout  when display is requested by the call */
/* parameter                                                  */
/* ---------------------------------------------------------- */
#define         PTIMEOUT                MAX_long // Infinity

/* ------------------------ */
/* Default display interval */
/* ------------------------ */
#define         DEFDINTVL               5000    // Events

/* ----------------------------------------- */
/* The maximum length of the supplement list */
/* ----------------------------------------- */
#define         MAXSUPPL                512     // Items

/* ------------ */
/* Phrase bytes */
/* ------------ */

#define         PH_ESP                  255     // End Spurt
#define         PH_EPH                  254     // End Phrase (pad)
#define         PH_INM                  253     // Integer number
#define         PH_FNM                  252     // Floating-point number
#define         PH_BNM                  251     // BIG number
#define         PH_TXT                  250     // Text
#define         PH_ATT                  249     // Attention
#define         PH_STP                  248     // Step
#define         PH_DIN                  247     // Display interval
#define         PH_BPR                  246     // Big precision
#define         PH_ADD                  245     // Add new object
#define         PH_REM                  244     // Remove an object
#define         PH_WND                  243     // Request window
#define         PH_EWN                  242     // Cancel window
#define         PH_WCN                  241     // Window contents
#define         PH_REG                  240     // Region
#define         PH_SCA                  239     // Region scaling
#define         PH_SLI                  238     // Region line segment
#define         PH_ERR                  237     // Error indication
#define         PH_END                  236     // Terminate display
#define         PH_EXI                  235     // Terminate execution
#define         PH_LCK                  234     // Hold
#define         PH_RPL                  233     // Reply
#define         PH_REL                  232     // Relative step delay
#define         PH_ESM                  231     // Exit step mode
#define         PH_TRN                  230     // Truncate
#define         PH_NST                  229     // The number of stations

/* ----------------------------------- */
/* Numerical descriptors special codes */
/* ----------------------------------- */

#define         DSC_DOT                 10      // Decimal point
#define         DSC_EXP                 11      // Exponent
#define         DSC_ENN                 12      // End of negative number
#define         DSC_ENP                 13      // End of positive number

/* ---------------------------------------------------------- */
/* Note:  descriptor  codes  14  and 15 are illegal. No legal */
/* byte can look like ESP                                     */
/* ---------------------------------------------------------- */

/* ----------- */
/* Error codes */
/* ----------- */

#define         DERR_ILS                0       // Illegal spurt (formal error)
#define         DERR_NSI                1       // Negative display interval
#define         DERR_ONF                2       // Object not found
#define         DERR_NMO                3       // Nonexistent mode
#define         DERR_ISN                4       // Illegal station number
#define         DERR_CUN                5       // No window to unstep

/* ------------ */
/* Window flags */
/* ------------ */
#define         WF_OPENING              1
#define         WF_CLOSING              2
#define         WF_STEPPED              4

/* ---------------- */
/* Smurph signature */
/* ---------------- */
#define         SMRPHSIGN               "smurphzz"

/* ---------------- */
/* Server signature */
/* ---------------- */
#define         SERVRSIGN               "dserverz"

/* ---------------------------------------------------------- */
/* Note:  the  above signatures can be changed, but they must */
/* be of the same length determined by the constant below     */
/* ---------------------------------------------------------- */
#define         SIGNLENGTH              8
